{% extends 'profile/layouts/admin/admin_layout.html' %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_document' %}">Dokumen</a></li>
            <li class="breadcrumb-item active" aria-current="page">Detail</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    {% if document.nama %}
        <h1 id="document-nama">{{ document.nama }}</h1>
        <p>{{ document.keterangan }}</p>
        
        {% if document.deleted_at %}
            <div class="btn btn-success" onclick="restore_(`{{ document.nama }}`, '{{ document.slug }}')"><i class="bi bi-arrow-counterclockwise"></i> Pulihkan</div>
            <div class="btn btn-danger" onclick="delete_('permanent_delete', `{{ document.nama }}`, '{{ document.slug }}')"><i class="bi bi-trash"></i> Hapus Permanen</div>
        {% else %}
            <a href="{{ document.dokumen.url }}" target="_blank"> 
                <button type="button" class="btn btn-success my-2"><i class="bi bi-download"></i> Download</button>
            </a>
            <a href="{% url 'profile:admin_document_edit' slug=document.slug %}"> 
                <button type="button" class="btn btn-info my-2"><i class="bi bi-pencil"></i> Edit</button>
            </a>
            <div class="btn btn-danger" onclick="delete_('soft_delete', `{{ document.nama }}`, '{{ document.slug }}')"><i class="bi bi-archive"></i> Arsipkan</div>
        {% endif %}

    {% else %}
        <h1>Document TIDAK DITEMUKAN</h1>
    {% endif %}

{% endblock main %}

{% if document.nama %}
    {% block scripts_bawah %}
        <script>
            function restore_(nama, slug){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/dokumen/restore/${slug}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Dokumen berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/dokumen/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Dokumen gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, slug){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah anda yakin ingin meng${pesan} file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/dokumen/${action}/${slug}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Dokumen berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/dokumen/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Dokumen gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
        </script>
    {% endblock scripts_bawah %}
{% endif %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}